<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	<h2 align="center">Welcome to the Forms Page</h2>
	<!-- 	
		semanntic Tags

		semantic tags are new addition to HTML. Semantic tags are also containers for elemennts but unlike div they are defenitive of its content without relying to semantic ad. however, em , strong, they also semantic tags are used over <i></i><b><>/b

		semantic nav containers such as nav, main ,section are more perforemed by developers now because it aids in better search engine optimization, as well developers themeselves abecause each ta now clearly defines ehat is the content to be added. -->


		<!-- nav is a semantic container which contains navigation links -->
		<nav>
			<a href="./form.html">Go To Index html</a>
			<a href="./table.html">Go To Table html</a>
			<a href="../activity/contact.html">Go To Contact html</a>
		</nav>

		<!-- main is a semantic container used to show the main content of a page -->
		<main>
			<!-- section are used to show pparts of a page -->
			<section>
				<h2>HTML Forms</h2>
				<p>HTML Forms are used to gather information or data from our user and send that information to a server</p>
			</section>
			<section>

				<!-- form tag allow us to ccreate a form. we can then gather data sndd user input our form and submit it to a server 

					"action" attribute in a form will allow us to pass/submiit the data to the server of the url that given

					"label" tag will allow us to create an element ehat serves as a lebel or indicator  to the input.

					add a "for" attribute to the label will allow us to associate the label element toa aparticular input element. for aattribute is passes the id of hte particular input element associate it

					"input" tag creates an input elemennt to add user input.
					input tag can have many types 

					"name" attribut allows us to provide a name/ an identifier for the VALU of the elements. it allow us to properlly indentify the value of an input in our form
					
					"id" attribute not only provides a unique inndentifier for the element, iit is also used by label to associate with.

					"required" attribite allow us to check if the input has been filled and if not the form cannot be submitted

					"autocomplete" provide suggestion for inputs and allows for better user experience
					
					input type date changes the behavior of an input element and only allows the  input of dates

					buttons are usedd to interact with our pages we can either have the button trigger an action


					type attribute to a button 


					input="number" - number only

					min="12" - set minimum input

					max="12" - set maximum input

					<select></select> - tag allows us to create a dropdown

					<option></option> - tag create option/choices

					input type radio

					<input type="checkbox"> - will allow us to create a checkbox for amultiple selection among multiple choices..

					-->


				<form action="https://google.com">
					<!-- NAME -->
					<label for="fname">Full Name:</label>
					<br>
					<input type="text" name="fullname" id="fname" required autocomplete>

					<!-- BIRTHDAY -->
					<br>
					<label for="bdate">Birthday</label>
					<br>
					<input type="date" name="birthday" id="bdate" required>
					<br>
					
					<!-- AGE -->
					<label for="ageInput">Age:</label>
					<input type="number" name="age" id="ageInput" min="18" max="40">
					<br>

					<!-- GENDER -->
					<label for="genderInput">Input</label>
					<select name="gender" id="genderInput">
						<option value="Male">Male</option>
						<option value="Female">Female</option>
						<option value="Other">Other</option>
						
					</select>
					<br>
		
					<!-- RADIO BUTTON -->
					<label>New User?</label>
					<br>
					<input type="radio" name="new_user" id="radiouser1" value="yes">
					<label for="radiouser1">Yes</label>
					<br>
					<input type="radio" name="new_user" id="radiouser2" value="yes">
					<label for="radiouser2">No</label>
					<br>

					<!-- CHECKBOX -->
					<label>Role:</label>
					<br>
					<input type="checkbox" name="role1" id="roleInput1" value="developer">
					<label for="roleInput1">Developer</label>
					<br>
					<input type="checkbox" name="role2" id="roleInput2" value="developer">
					<label for="roleInput2">Student</label>
					<br>
					<input type="checkbox" name="role3" id="roleInput3" value="developer">
					<label for="roleInput3">Manager</label>
					<br>
					<br>
					<!-- button -->
					<button type="submit">Submit</button>
					<button type="reset">Reset</button>
				</form>
			</section>
		</main>
		

</body>
</html>